imageio.hh File Reference
`#include <set>`
`#include <vector>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/iohandler.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/imageio.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C3DImageVector
| A class to interface images with image IO plugins. More...
struct | io_3dimage_data
struct | IOHandler_of< C3DImage >

## Typedefs

typedef C3DImageIOPluginHandler::Instance::DataKey | C3DImageDataKey
| Data key type used to load and store to the CDatapool.
typedef TIOPlugin< io_3dimage_data > | C3DImageIOPlugin
| The 3D image io plugin base class.
typedef THandlerSingleton< TIOPluginHandler< C3DImageIOPlugin > > | C3DImageIOPluginHandler
| Handler for the plug-ins that store and load 3D images.
typedef C3DImageIOPluginHandler::Instance::PData | P3DImageVector
| pointer type to the images

## Functions

P3DImageVector EXPORT_3D | create_image3d_vector (P3DImage image)
P3DImage EXPORT_3D | load_image3d (const std::string &filename)
template<>
P3DImage EXPORT_3D | load_image< P3DImage > (const std::string &filename)
bool EXPORT_3D | save_image (const std::string &filename, C3DImage &image)
bool EXPORT_3D | save_image (const std::string &filename, P3DImage image)

## Variables

template class EXPORT_3D | TIOPlugin< io_3dimage_data >
template class EXPORT_3D | TPlugin< io_3dimage_data, io_plugin_type >

## Function Documentation

## create_image3d_vector()

P3DImageVector EXPORT_3D create_image3d_vector | ( | P3DImage | image | ) |

convenience function to create an image vector from a single image

Parameters

  image |

Returns
  the vector containing the image

References EXPORT_3D.

## Variable Documentation

## TIOPlugin< io_3dimage_data >

template class EXPORT_3D TIOPlugin< io_3dimage_data >

extern

## TPlugin< io_3dimage_data, io_plugin_type >

template class EXPORT_3D TPlugin< io_3dimage_data, io_plugin_type >

extern